%define name		xfhell
%define summary	%{name} is an X/GTK+ Linux application for Amateur Radio communications in the the Hellschreiber "fuzzy" digital mode.
%define version	1.8
%define release	%mkrel 1

Summary: %summary
Name: %name
Version: %{version}
Release: %{release}
License: GPLv2
Group: Sciences/Other/HamRadio
Source: http://5b4az.chronos.org.uk/pkg/xfhell/%{name}-%{version}.tar.gz
URL: http://5b4az.chronos.org.uk/pages/digital.html
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: glib-gettextize
BuildRequires: gtk2-devel
Requires:       glibc >= 2.10.1
Requires:       libstdc++6 >= 4.4.1
Obsoletes:	%name < %version


%description
%summary

%prep
%setup -q -n %{name}

%build
./autogen.sh
%configure2_5x
%make

%install
rm -rf ${RPM_BUILD_ROOT}
%makeinstall

%{__mkdir_p} %{buildroot}%{_datadir}/%{name}
%{__cp} -r %{name}/fonts %{buildroot}%{_datadir}/%{name}
%{__mv} %{buildroot}%{_bindir}/%{name} %{buildroot}%{_datadir}/%{name}
%{__cp} %{name}/%{name}rc %{buildroot}%{_datadir}/%{name}
%{__cat} > %{buildroot}%{_bindir}/%{name} << EOF
#!/bin/sh

if [ ! -d \$HOME/%{name} ]
then
    %{__mkdir_p} \$HOME/%{name}
    %{__cp} %{_datadir}/%{name}/%{name}rc \$HOME/%{name}
    %{__mkdir_p} \$HOME/%{name}/pixbufs
    %{__cp} -r %{_datadir}/%{name}/fonts \$HOME/%{name}
fi

%{_datadir}/%{name}/%{name}
EOF
%{__chmod} 755 %{buildroot}%{_bindir}/%{name}


# please give me an icon :-)
# %{__mkdir_p} %{buildroot}%{_iconsdir}
# cp %{name}.png %{buildroot}%{_iconsdir}/%{name}.png

%{__mkdir_p} %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop  << EOF
[Desktop Entry]
Encoding=UTF-8
Name=%name
Comment=%summary
Exec=%{_bindir}/%{name}
Icon=%name
Terminal=false
Type=Application
Categories=Science;X-MandrivaLinux-MoreApplications-Sciences-Other;
EOF

%clean
rm -rf ${RPM_BUILD_ROOT}

%post
%{update_menus}

%postun
%{update_menus}

%files
%defattr(-, root, root)
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/%{name}
%{_datadir}/%{name}/fonts
%{_datadir}/%{name}/%{name}rc


%changelog
* Thu Oct 08 2009 Neal <nealbrks0@gmail.com> 
- gcc update

* Wed May 7 2008 Paul Grinberg <gri6507 TA yahoo TOD com> 1.8-1pclos2007
- Created package for the first time
